;;; -*-emacs-lisp-*-

(defvar generated-autoload-file)
(defvar command-line-args-left)
(defun generate-autoloads ()
  (interactive)
  (require 'autoload)
  (setq generated-autoload-file (car command-line-args-left))
  (setq command-line-args-left (cdr command-line-args-left))
  (batch-update-autoloads))

(provide 'emms-auto)
;;; Generated autoloads follow (made by autoload.el).

;;;### (autoloads (emms-lyrics-toggle emms-lyrics-disable emms-lyrics-enable)
;;;;;;  "emms-lyrics" "emms-lyrics.el" (17658 49968))
;;; Generated autoloads from emms-lyrics.el

(autoload (quote emms-lyrics-enable) "emms-lyrics" "\
Enable displaying emms lyrics." t nil)

(autoload (quote emms-lyrics-disable) "emms-lyrics" "\
Disable displaying emms lyrics." t nil)

(autoload (quote emms-lyrics-toggle) "emms-lyrics" "\
Toggle displaying emms lyrics." t nil)

;;;***

;;;### (autoloads (emms-playing-time-toggle emms-mode-line-disable
;;;;;;  emms-mode-line-enable) "emms-mode-line" "emms-mode-line.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from emms-mode-line.el

(autoload (quote emms-mode-line-enable) "emms-mode-line" "\
Turn on `emms-mode-line'." t nil)

(autoload (quote emms-mode-line-disable) "emms-mode-line" "\
Turn off `emms-mode-line'." t nil)

(autoload (quote emms-playing-time-toggle) "emms-mode-line" "\
Toggle `emms-mode-line'." t nil)

;;;***

;;;### (autoloads (emms-player-mpd-show emms-player-mpd-connect)
;;;;;;  "emms-player-mpd" "emms-player-mpd.el" (17658 49968))
;;; Generated autoloads from emms-player-mpd.el

(autoload (quote emms-player-mpd-connect) "emms-player-mpd" "\
Connect to MusicPD and retrieve its current playlist.
Afterward, the status of MusicPD will be tracked." t nil)

(autoload (quote emms-player-mpd-show) "emms-player-mpd" "\
Describe the current EMMS track in the minibuffer.
If INSERTP is non-nil, insert the description into the current buffer instead.
If CALLBACK is a function, call it with the current buffer and description.
This function uses `emms-show-format' to format the current track.
It differs from `emms-show' in that it asks MusicPD for the current track,
rather than EMMS." t nil)

;;;***

;;;### (autoloads (emms-playing-time-toggle emms-playing-time-disable
;;;;;;  emms-playing-time-enable) "emms-playing-time" "emms-playing-time.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from emms-playing-time.el

(autoload (quote emms-playing-time-enable) "emms-playing-time" "\
Enable displaying emms playing time on mode line." t nil)

(autoload (quote emms-playing-time-disable) "emms-playing-time" "\
Disable displaying emms playing time on mode line." t nil)

(autoload (quote emms-playing-time-toggle) "emms-playing-time" "\
Toggle displaying emms playing time on mode line." t nil)

;;;***

;;;### (autoloads (emms-playlist-mode) "emms-playlist-mode" "emms-playlist-mode.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from emms-playlist-mode.el

(autoload (quote emms-playlist-mode) "emms-playlist-mode" "\
A major mode for Emms playlists.
\\{emms-playlist-mode-map}" t nil)

;;;***

;;;### (autoloads (emms-score-toggle emms-score-disable emms-score-enable)
;;;;;;  "emms-score" "emms-score.el" (17658 49968))
;;; Generated autoloads from emms-score.el

(autoload (quote emms-score-enable) "emms-score" "\
Turn on emms-score." t nil)

(autoload (quote emms-score-disable) "emms-score" "\
Turn off emms-score." t nil)

(autoload (quote emms-score-toggle) "emms-score" "\
Toggle emms-score." t nil)

;;;***

;;;### (autoloads (emms-default-players emms-devel emms-all emms-standard
;;;;;;  emms-minimalistic) "emms-setup" "emms-setup.el" (17658 49968))
;;; Generated autoloads from emms-setup.el

(autoload (quote emms-minimalistic) "emms-setup" "\
An Emms setup script.
Invisible playlists and all the basics for playing media." nil nil)

(autoload (quote emms-standard) "emms-setup" "\
An Emms setup script.
Everything included in the `emms-minimalistic' setup, the Emms
interactive playlist mode, reading information from tagged
audio files, and a metadata cache." nil nil)

(autoload (quote emms-all) "emms-setup" "\
An Emms setup script.
Everything included in the `emms-standard' setup and adds all the
stable features which come with the Emms distribution." nil nil)

(autoload (quote emms-devel) "emms-setup" "\
An Emms setup script.
Everything included in the `emms-all' setup and adds all the
features which come with the Emms distribution regardless of if
they are considered stable or not.  Use this if you like living
on the edge." nil nil)

(autoload (quote emms-default-players) "emms-setup" "\
Set `emms-player-list' to `emms-setup-default-player-list'." nil nil)

;;;***

;;;### (autoloads (emms-locate emms-source-file-regex emms-source-file-directory-tree)
;;;;;;  "emms-source-file" "emms-source-file.el" (17658 49968))
;;; Generated autoloads from emms-source-file.el
 (autoload 'emms-play-file "emms-source-file" nil t)
 (autoload 'emms-add-file "emms-source-file" nil t)
 (autoload 'emms-play-directory "emms-source-file" nil t)
 (autoload 'emms-add-directory "emms-source-file" nil t)
 (autoload 'emms-play-directory-tree "emms-source-file" nil t)
 (autoload 'emms-add-directory-tree "emms-source-file" nil t)
 (autoload 'emms-play-find "emms-source-file" nil t)
 (autoload 'emms-add-find "emms-source-file" nil t)
 (autoload 'emms-play-dired "emms-source-file" nil t)
 (autoload 'emms-add-dired "emms-source-file" nil t)

(autoload (quote emms-source-file-directory-tree) "emms-source-file" "\
Return a list of all files under DIR that match REGEX.
This function uses `emms-source-file-directory-tree-function'." nil nil)

(autoload (quote emms-source-file-regex) "emms-source-file" "\
Return a regexp that matches everything any player (that supports
files) can play." nil nil)

(autoload (quote emms-locate) "emms-source-file" "\
Search for REGEXP and display the results in a locate buffer" t nil)
 (autoload 'emms-play-url "emms-source-file" nil t)
 (autoload 'emms-add-url "emms-source-file" nil t)
 (autoload 'emms-play-streamlist "emms-source-file" nil t)
 (autoload 'emms-add-streamlist "emms-source-file" nil t)

;;;***

;;;### (autoloads nil "emms-source-playlist" "emms-source-playlist.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from emms-source-playlist.el
 (autoload 'emms-play-playlist "emms-source-playlist" nil t)
 (autoload 'emms-add-playlist "emms-source-playlist" nil t)
 (autoload 'emms-play-native-playlist "emms-source-playlist" nil t)
 (autoload 'emms-add-native-playlist "emms-source-playlist" nil t)
 (autoload 'emms-play-m3u-playlist "emms-source-playlist" nil t)
 (autoload 'emms-add-m3u-playlist "emms-source-playlist" nil t)
 (autoload 'emms-play-pls-playlist "emms-source-playlist" nil t)
 (autoload 'emms-add-pls-playlist "emms-source-playlist" nil t)
 (autoload 'emms-play-playlist-file "emms-source-playlist" nil t)
 (autoload 'emms-add-playlist-file "emms-source-playlist" nil t)
 (autoload 'emms-play-playlist-directory
          "emms-source-playlist" nil t)
 (autoload 'emms-add-playlist-directory
          "emms-source-playlist" nil t)
 (autoload 'emms-play-playlist-directory-tree
          "emms-source-playlist" nil t)
 (autoload 'emms-add-playlist-directory-tree
          "emms-source-file" nil t)

;;;***

;;;### (autoloads (emms-streams) "emms-streams" "emms-streams.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from emms-streams.el

(autoload (quote emms-streams) "emms-streams" "\
Opens the EMMS Streams interface." t nil)

;;;***

;;;### (autoloads (oggc-show-header) "ogg-comment" "ogg-comment.el"
;;;;;;  (17658 49968))
;;; Generated autoloads from ogg-comment.el

(autoload (quote oggc-show-header) "ogg-comment" "\
Show a pretty printed representation of the Ogg Comments in FILE." t nil)

;;;***

;;;### (autoloads (tq-create) "tq" "tq.el" (17658 49968))
;;; Generated autoloads from tq.el

(autoload (quote tq-create) "tq" "\
Create and return a transaction queue communicating with PROCESS.
PROCESS should be a subprocess capable of sending and receiving
streams of bytes.  It may be a local process, or it may be connected
to a tcp server on another machine." nil nil)

;;;***

;;;### (autoloads (emms-cache-toggle emms-cache-disable emms-cache-enable)
;;;;;;  "emms-cache" "emms-cache.el" (17658 49968))
;;; Generated autoloads from emms-cache.el

(autoload (quote emms-cache-enable) "emms-cache" "\
Enable caching of Emms track data." t nil)

(autoload (quote emms-cache-disable) "emms-cache" "\
Disable caching of Emms track data." t nil)

(autoload (quote emms-cache-toggle) "emms-cache" "\
Toggle caching of Emms track data." t nil)

;;;***
